Skip to main content

List all notes

Returns a list of your notes. The notes are returned sorted by creation date, with the most recently created tasks appearing first.

Parameters​

content
string
The content to search for.
expand
array
Array of relationships to expand. Supported values: author, task.

Returns​

Return a paginated response that contains an array of up to the specified limit of notes.

get
/api/tasks/{id}/notes
curl https://{workspace}.kitchen.co/api/tasks/{id}/notes \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"author": "u_c01bb6102b6ddadd4b1f020e",
"content": "The note content",
"task": "tsk_225b227c7a59d4c65c2feaed",
"created_at": "2024-01-23T23:09:00+00:00",
"format": "text",
"id": "msg_3447589816730d8ba4e50528",
"updated_at": "2024-01-23T23:09:00+00:00"
}
],
"links": {
"first": "/api/tasks/{id}/notes?page=1",
"last": "/api/tasks/{id}/notes?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/tasks/{id}/notes?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/tasks/{id}/notes",
"per_page": 20,
"to": 1,
"total": 1
}
}